# Gio::DBusInterfaceInfo Class Reference

DBusInterfaceInfo - Stores information about a D-Bus interface. More...

`#include <giomm/dbusintrospection.h>`

List of all members.

## Public Member Functions
void | reference () const
| Increment the reference count for this object.
void | unreference () const
| Decrement the reference count for this object.
GDBusInterfaceInfo* | gobj ()
| Provides access to the underlying C instance.
const GDBusInterfaceInfo* | gobj () const
| Provides access to the underlying C instance.
GDBusInterfaceInfo* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::RefPtr< DBusMethodInfo > | lookup_method (const Glib::ustring& name)
| Looks up information about a method.
Glib::RefPtr< const DBusMethodInfo > | lookup_method (const Glib::ustring& name) const
| Looks up information about a method.
Glib::RefPtr< DBusSignalInfo > | lookup_signal (const Glib::ustring& name)
| Looks up information about a signal.
Glib::RefPtr< const DBusSignalInfo > | lookup_signal (const Glib::ustring& name) const
| Looks up information about a signal.
Glib::RefPtr< DBusPropertyInfo > | lookup_property (const Glib::ustring& name)
| Looks up information about a property.
Glib::RefPtr< const DBusPropertyInfo > | lookup_property (const Glib::ustring& name) const
| Looks up information about a property.
## Protected Member Functions
| DBusInterfaceInfo ()
void | operator delete (void*, size_t)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr < Gio::DBusInterfaceInfo > | wrap (GDBusInterfaceInfo* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

DBusInterfaceInfo - Stores information about a D-Bus interface.

Since glibmm 2.26:

## Constructor & Destructor Documentation

Gio::DBusInterfaceInfo::DBusInterfaceInfo | ( |  | ) | `[protected]`

## Member Function Documentation

const GDBusInterfaceInfo* Gio::DBusInterfaceInfo::gobj | ( |  | ) | const

Provides access to the underlying C instance.

GDBusInterfaceInfo* Gio::DBusInterfaceInfo::gobj | ( |  | ) |

Provides access to the underlying C instance.

GDBusInterfaceInfo* Gio::DBusInterfaceInfo::gobj_copy | ( |  | ) | const

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Glib::RefPtr<const DBusMethodInfo> Gio::DBusInterfaceInfo::lookup_method | ( | const Glib::ustring& | name | ) | const

Looks up information about a method.

This cost of this function is O(n) in number of methods.

Since glibmm 2.26:

Parameters:

  | name | A D-Bus method name (typically in CamelCase).

Returns:
  A DBusMethodInfo or `0` if not found. Do not free, it is owned by info.

Glib::RefPtr<DBusMethodInfo> Gio::DBusInterfaceInfo::lookup_method | ( | const Glib::ustring& | name | ) |

Looks up information about a method.

This cost of this function is O(n) in number of methods.

Since glibmm 2.26:

Parameters:

  | name | A D-Bus method name (typically in CamelCase).

Returns:
  A DBusMethodInfo or `0` if not found. Do not free, it is owned by info.

Glib::RefPtr<const DBusPropertyInfo> Gio::DBusInterfaceInfo::lookup_property | ( | const Glib::ustring& | name | ) | const

Looks up information about a property.

This cost of this function is O(n) in number of properties.

Since glibmm 2.26:

Parameters:

  | name | A D-Bus property name (typically in CamelCase).

Returns:
  A DBusPropertyInfo or `0` if not found. Do not free, it is owned by info.

Glib::RefPtr<DBusPropertyInfo> Gio::DBusInterfaceInfo::lookup_property | ( | const Glib::ustring& | name | ) |

Looks up information about a property.

This cost of this function is O(n) in number of properties.

Since glibmm 2.26:

Parameters:

  | name | A D-Bus property name (typically in CamelCase).

Returns:
  A DBusPropertyInfo or `0` if not found. Do not free, it is owned by info.

Glib::RefPtr<const DBusSignalInfo> Gio::DBusInterfaceInfo::lookup_signal | ( | const Glib::ustring& | name | ) | const

Looks up information about a signal.

This cost of this function is O(n) in number of signals.

Since glibmm 2.26:

Parameters:

  | name | A D-Bus signal name (typically in CamelCase).

Returns:
  A DBusSignalInfo or `0` if not found. Do not free, it is owned by info.

Glib::RefPtr<DBusSignalInfo> Gio::DBusInterfaceInfo::lookup_signal | ( | const Glib::ustring& | name | ) |

Looks up information about a signal.

This cost of this function is O(n) in number of signals.

Since glibmm 2.26:

Parameters:

  | name | A D-Bus signal name (typically in CamelCase).

Returns:
  A DBusSignalInfo or `0` if not found. Do not free, it is owned by info.

void Gio::DBusInterfaceInfo::operator delete | ( | void * | ,
|  | size_t |  |
| ) |  |  | `[protected]`

void Gio::DBusInterfaceInfo::reference | ( |  | ) | const

Increment the reference count for this object.

You should never need to do this manually - use the object via a RefPtr instead.

void Gio::DBusInterfaceInfo::unreference | ( |  | ) | const

Decrement the reference count for this object.

You should never need to do this manually - use the object via a RefPtr instead.

## Friends And Related Function Documentation

Glib::RefPtr< Gio::DBusInterfaceInfo > wrap | ( | GDBusInterfaceInfo * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.